.. Generated automatically by doc/tools/makerst.py in Godot's source tree.
.. DO NOT EDIT THIS FILE, but the WindowDialog.xml source instead.
.. The source is found in doc/classes or modules/<name>/doc_classes.

.. _class_WindowDialog:

WindowDialog
============

**Inherits:** :ref:`Popup<class_popup>` **<** :ref:`Control<class_control>` **<** :ref:`CanvasItem<class_canvasitem>` **<** :ref:`Node<class_node>` **<** :ref:`Object<class_object>`

**Inherited By:** :ref:`AcceptDialog<class_acceptdialog>`

**Category:** Core

Brief Description
-----------------

Base class for window dialogs.

Member Functions
----------------

+--------------------------------------------+--------------------------------------------------------------------------+
| :ref:`TextureButton<class_texturebutton>`  | :ref:`get_close_button<class_WindowDialog_get_close_button>` **(** **)** |
+--------------------------------------------+--------------------------------------------------------------------------+

Member Variables
----------------

  .. _class_WindowDialog_resizable:

- :ref:`bool<class_bool>` **resizable** - If ``true`` the user can resize the window. Default value: ``false``.

  .. _class_WindowDialog_window_title:

- :ref:`String<class_string>` **window_title** - The text displayed in the window's title bar. Default value: "Save a File".


Description
-----------

Windowdialog is the base class for all window-based dialogs. It's a by-default toplevel :ref:`Control<class_control>` that draws a window decoration and allows motion and resizing.

Member Function Description
---------------------------

.. _class_WindowDialog_get_close_button:

- :ref:`TextureButton<class_texturebutton>` **get_close_button** **(** **)**

Return the close :ref:`TextureButton<class_texturebutton>`.


